Subject: Sega Glasses / Two Gloves

From: pflaging <[email-masked]>
Date: Mon, 16 May 1994 09:16:41 -0400 (EDT)

"do you know the colours of the wire for the sega glasses.?
i have a pair with no card or cord (it was cut-off at the glasses)

so i need to know what colour goes with what part of the jack 
(white,black,red /centre,end,tip of phono jack)"

Just experiment until you get it right.  I really don't think you could
break them, just take reasonable precautions.  Make sure you have a 
working sega glasses / serial interface FIRST, so you can eliminate that
factor. 

Here's the two glove info:

PowerGlove Interface for Parallel Port on IBM

This file contains instructions for constructing a
connector to go from a Nintendo Power Glove to a
parallel port, presumably on a PC.  It also contains
instructions for creating a "two glove" connector,
which connects two separate Power Gloves to one
parallel port.

BIG NOTE:
  Assemble at YOUR OWN RISK.  I have assembled this
  cable successfully from these directions, BUT any
  damage resulting from construction or use of this
  cable is YOUR problem, not mine.
  (just in case... <g>)

The Connector:

       * 1
   7 * * 2
   6 * * 3     Looking AT the connector on glove cable
   5 * * 4

Pinout:
  1: Ground
  2: Clock
  3: Latch
  4: Data
  5: N/C (lightgun)
  6: N/C (lightgun)
  7: +5V

Connecting it to Parallel Port:
  Glove      Parallel Port
  -----      -------------
    1           18  GND
    2            2  D0
    3            3  D1
    4           13  SELECT (input)

Power:
  Connect pin 7 on glove to any location with +5V from
the computer.  Pin 1 on any gameport is a good place.
Or, use the keyboard connector.  The +5V on keyboard
should be pin 5 (may be wrong here, I'm using an XT
pinout) as follows:

  Looking at back of computer:
        3   1
        5   4
          2

The Cable:
  I highly recommend buying one of the extender cables (the
Curtis Super Extendo cable is around $7 for 2 cables) to
chop up for the connector.  This makes it easy to also use
other Nintendo devices and allows TESTING the glove and
still being able to exchange it if defective.  (Plus you get
a long cable to the control box).

Chris Babcock
CompuServe 72657,2126
10/18/91

Two Gloves:

Connecting them to Parallel Port:
 1st Glove      Parallel Port
 ---------      -------------
    1           18  GND
    2            2  D0
    3            3  D1
    4           13  SELECT (input)

 2nd Glove      Parallel Port
 ---------      -------------
    1           18  GND  (connect to same pin as 1st glove)
    2            4  D2
    3            5  D3
    4           12  PAPER OUT (input)

You should note that the "1st Glove" is exactly the same as the
single glove hookup given by Chris B.  So if you already have a
single glove connector, you don't need to disconnect any of the
wires that are already there.

Alternate Connection:
It should be possible to simply wire an identical "1st Glove"
connector and connect it to a spare parallel port.  The software
should detect and use the 2nd glove as if it were connected to
the same parallel port.  I HAVE NOT TESTED THIS since I only have
one parallel port, but it really should work.  Let me know if
you can't get it to work.

Power:
Connect pin 7 on glove 2 to any location with +5V.  Obviously,
you should be able to use the same location as the first glove's.
Twice as much current will be drawn.  (If you're using a battery,
it'll wear out twice as fast.)  If you're using the keyboard or
gameport power as Chris suggests, there should be no problem.

The Cable:
See the above section.  You should get a second Super Extendo
Cable, but maybe you already have one since they come in packs
of two!

Although no left handed Power Gloves were ever made, it is
possible to build one from the parts of a Power Glove - I've
built two "better" gloves this way.  I also changed the code
from a right-right systen (where two different people are
using the gloves), to a left-right system where one
person has both hands in gloves.  For that purpose, I may
refer to the "1st Glove" as the "Right Glove" and the "2nd
Glove" as the "Left Glove".  If you have a hood for your
parallel port connector, you may wish to label the two
Nintendo Cables as "left" and "right" before putting the hood
back on.

The Sensors:
Where do you position the second set of sensors?  (In case you
don't know, the sensors are housed in the L-shaped bar that was
designed to go on top of a TV.  It's the piece that has the little
red lights.)  It is easiest to simply piggyback
the sensors, and hold them together with some duct tape or similar
adhesive.  (Now that I think about it, those little Velcro pads
might work OK.)  Basically, you want the sensors in close
proximity, but make sure they do not block each other!  Here's
a diagram of how mine are set up:

	    /----\	            /-----\
	    |    |=================|       \
	    \----/	            \--+ o  |
	/----\	               /-----\ |o o |
	|    |================|       \| o  |
	\----/	               \--+ o  |o o |
				  |o o |----/
				  | o  | ||
                                  |o o | ||
				  \----/ ||
				    ||   ||
				    ||   ||
				    ||   ||
				    ||   ||
				    ||   ||
				    || /----\
				    || |    |
				    || \----/
                                  /----\
                                  |    |
                                  \----/

I had to use 5 pieces of tape to get them to stay together
well, but I'm sure there's other ways.

Software:
I have modified REND386 and the DOS demo and made a new Windows
app that uses the "two glove" setup.  They all access the
same driver which "seeks out" gloves on three different
parallel port addresses, then uses the "alternate polling
technique" for avoiding conflict between the two gloves.
One glove is polled, then the other glove is polled, then
the first glove, etc, etc.  So, the ultrasonic pulses from
one glove are sensed before the pulses from the second glove
are sent out.